> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC20 Token Transfers by Address

> Retrieves the list of ERC-20 token transfers made by a specified address, with optional filtering by token contract.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "4730207",
        "timeStamp": "1513240363",
        "hash": "0xe8c208398bd5ae8e4c237658580db56a2a94dfa0ca382c99b776fa6e7d31d5b4",
        "nonce": "406",
        "blockHash": "0x022c5e6a3d2487a8ccf8946a2ffb74938bf8e5c8a3f6d91b41c56378a96b5c37",
        "from": "0x642ae78fafbb8032da552d619ad43f1d81e4dd7c",
        "contractAddress": "0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2",
        "to": "0x4e83362442b8d1bec281594cea3050c8eb01311c",
        "value": "5901522149285533025181",
        "tokenName": "Maker",
        "tokenSymbol": "MKR",
        "tokenDecimal": "18",
        "transactionIndex": "81",
        "gas": "940000",
        "gasPrice": "32010000000",
        "gasUsed": "77759",
        "cumulativeGasUsed": "2523379",
        "input": "deprecated",
        "methodId": "0xbe040fb0",
        "functionName": "redeem()",
        "confirmations": "18737452"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/tokentx.json GET /v2/api
openapi: 3.1.0
info:
  title: Get ERC20 Token Transfers by Address
  version: 2.0.0
  description: >-
    Retrieves the list of ERC-20 token transfers made by a specified address,
    with optional filtering by token contract.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get ERC20 Token Transfers by Address
      description: >-
        Retrieves the list of ERC-20 token transfers made by a specified
        address, with optional filtering by token contract.
      operationId: getTokentx
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to tokentx for this endpoint
          schema:
            type: string
            default: tokentx
          example: tokentx
        - name: contractaddress
          in: query
          required: false
          description: >-
            The ERC20 token contract address to filter transfers by. Provide
            contractaddress or address.
          schema:
            type: string
          example: '0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2'
        - name: address
          in: query
          required: false
          description: >-
            The account address to filter transfers by. Provide address or
            contractaddress.
          schema:
            type: string
          example: '0x4e83362442b8d1bec281594cea3050c8eb01311c'
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to.
          schema:
            type: integer
          example: 999999999
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either desc for the latest transactions first or asc for
            the oldest transactions first.
          schema:
            type: string
          example: asc
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````